Status: Resolved Start date:  

Priority: Normal Due date:  
Category: UI Estimated time: 0.00 hour

Target version: 6.0.6   

Resolution: Fixed Affected version: 6.0.5

Description

When attaching files (e.g., to issues or wikis), the loading and waiting icons overlap the filename.

 before-fix.png 

This issue has been confirmed to occur in 6.0.5, and probably occurs in 6.0.0 and later versions.

Associated revisions

Revision 23819 - 2025-06-04 08:25 - Marius BĂLTEANU

Fix loading and waiting icons overlap filename when attaching files (#42797).

Patch by Katsuya HIDAKA (user:hidakatsuya).

History

#1 - 2025-06-01 08:56 - Katsuya HIDAKA

- File Fix-Loading-waiting-icons-overlap-filename-when-attaching-files.patch added

- File issue-after-fix.png added

- File forum-after-fix.png added

- File wiki-after-fix.png added

I've attached a patch to fix this issue.

Issue:

 issue-after-fix.png 

Wiki:

 wiki-after-fix.png 

Forum:

 forum-after-fix.png 

#2 - 2025-06-01 09:06 - Katsuya HIDAKA

- File Fix-Loading-waiting-icons-overlap-filename-when-attaching-files.patch added

I've attached the updated patch, as the previous one I uploaded was incorrect.

#3 - 2025-06-01 12:16 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

- Target version set to 6.0.6

Thanks for catching and fixing this issue.

I prefer to fix it by changing the legacy icons with the new SVG icons.

#4 - 2025-06-03 02:56 - Katsuya HIDAKA

Marius BĂLTEANU wrote in #note-3:

I prefer to fix it by changing the legacy icons with the new SVG icons.
 I also agree with replacing the old icons with the new SVG icons.

However, how about first fixing the issue in this issue, where the icon overlaps the file name, and then handling the replacement with SVG icons in the

next issue?

In particular, I think that replacing the loading icon with an SVG icon might take some time for discussion and implementation, since we will need to

consider applying it to other places where it is used as well.

After this issue is resolved, I would be happy to create an issue for replacing the old icons with SVG icons.

#5 - 2025-06-04 08:25 - Marius BĂLTEANU

Sure, I've committed the fix and I will merge it soon to 6.0-stable branch.

#6 - 2025-06-04 08:28 - Marius BĂLTEANU

- Status changed from New to Resolved

- Resolution set to Fixed
